org.eclipse.cdt.core.templateengine.process.processes

## Class AddFiles

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.process.ProcessRunner
  - - org.eclipse.cdt.core.templateengine.process.processes.AddFiles

    public class AddFiles
    extends ProcessRunner

Adds Files to the Project

### Constructor Summary

Constructors
Constructor and Description
`AddFiles()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor)` This method Adds the list of Files to the corresponding Project.

### Methods inherited from class org.eclipse.cdt.core.templateengine.process.ProcessRunner

`areArgumentsMatchingRequiredParameters, getArgumentsMismatchMessage, getProcessMessage, getProcessParameters, missingArgException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddFiles

    public AddFiles()

### Method Detail

#### process

    public void process(TemplateCore template,
                        ProcessArgument[] args,
                        String processId,
                        org.eclipse.core.runtime.IProgressMonitor monitor)
                 throws ProcessFailureException

This method Adds the list of Files to the corresponding Project.

Specified by:
  `process` in class `ProcessRunner`
Throws:
  `ProcessFailureException`